Issue #1 new

Assure compatability with Stash 2.x

Anonymous created an issue

Caused by: java.lang.NoSuchMethodError: com.atlassian.stash.repository.RepositoryService.findRepositoryById(Ljava/lang/Integer;)Lcom/atlassian/stash/repository/Repository; at com.hascode.plugin.servlet.QRCodeServlet.handleRepository(QRCodeServlet.java:131) ~[na:na] at com.hascode.plugin.servlet.QRCodeServlet.handleProjectOrRepository(QRCodeServlet.java:89) ~[na:na] at com.hascode.plugin.servlet.QRCodeServlet.doGet(QRCodeServlet.java:66) ~[na:na] at javax.servlet.http.HttpServlet.service(HttpServlet.java:621) ~[servlet-api.jar:na] at javax.servlet.http.HttpServlet.service(HttpServlet.java:728) ~[servlet-api.jar:na] at com.atlassian.plugin.servlet.DelegatingPluginServlet.service(DelegatingPluginServlet.java:42) ~[atlassian-plugins-servlet-2.13.4.jar:na] at javax.servlet.http.HttpServlet.service(HttpServlet.java:728) ~[servlet-api.jar:na] at com.atlassian.plugin.servlet.ServletModuleContainerServlet.service(ServletModuleContainerServlet.java:52) ~[atlassian-plugins-servlet-2.13.4.jar:na] at javax.servlet.http.HttpServlet.service(HttpServlet.java:728) ~[servlet-api.jar:na] at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:305) ~[catalina.jar:7.0.40]

Comments (6)

  1. Micha Kops repo owner

    Hi TreadStone , thanks for posting this issue! I took the liberty of renaming the issue and changing it to a feature request since the plugin is marked to be compatible with Stash version 1.0.0 - 1.1.2 so it's not a bug. Nevertheless would it be nice support the product ranges up to the latest version!

    Best regards

    Micha

  2. Anonymous

    Hey,

    thanks :) Sorry, I didn't look at the compatibility list. I just installed the plugin and assumed it would be working. You're completely right though, it should be a feature request.

    If I can help you in any way, just let me know.

    Thanks again!

    Alex

  3. Micha Kops repo owner

    TreadStone no problem :)

    Some APIs have changed in Stash 2.x .. the easy one is the one mentioned above .. we just need to use getById from the RepositoryManager instead of findRepositoryById .. Atlassian has deprecated and finally removed this method.

    More complex is to fix the integration into the user interface and to switch to Soy templates here ...

    I've put the plugin under the Apache 2.0 license and the sources are available here if you're interested :)

  4. Anonymous

    It looks like the rest is working, at least in the frontend. Project QR codes appear just fine.

  5. Micha Kops repo owner

    TreadStone I had problems when trying to install an update version of the plugin for the latest Stash version in a dev-standalone instance. perhaps I need to try again with a clean setup here

  6. Log in to comment